<template>
  <div>
    <Product v-if="isCheckSlug" />
  </div>
</template>

<script lang="ts">
import { Component, Vue } from "nuxt-property-decorator";
import { api } from "~/common/constaint";
@Component({
  layout: "userSlug",
  components: {
    Product: () => import("~/components/Home/ProductsSlug/index.vue"),
  },
})
export default class HomePage extends Vue {
  head() {
    return {
      title:
        (this.$store.state.setting.siteInfo &&
          this.$store.state.setting.siteInfo.storeName +
            " - " +
            this.$store.state?.setting?.siteInfo?.productName) ||
        "",
      meta: [
        {
          property: "og:image",
          content: this.$store?.state?.sitePage?.imageOg || "",
        },
        {
          property: "og:image:width",
          content: "300",
        },
        {
          property: "og:image:height",
          content: "300",
        },
      ],
      link: [
        {
          rel: "icon",
          type: "image/x-icon",
          href: `${
            this.$store?.state?.setting?.siteInfo?.logo
              ? `${api}/${this.$store?.state?.setting?.siteInfo?.logo}`
              : "/logous.png"
          }`,
        },
      ],
    };
  }

  get isCheckSlug() {
    return this.$store.state?.product?.isCheckSlug || "";
  }
}
</script>
